People & profiles
Get Hris Activity Events
Lists an employee's HRIS activity events with actor names, filtered by category and paginated.
GEThttps://api.toku.com/hris/get-hris-activity-events
Required scope: people:read. It also needs compensation:read, identity:read.
curl --request GET \
--url 'https://api.toku.com/hris/get-hris-activity-events?roleInOrgID=%3CroleInOrgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"events": [
{
"id": "string",
"eventType": "string",
"category": "string",
"title": "string",
"description": "string",
"metadata": {},
"occurredAt": "string",
"actorName": "string"
}
],
"total": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>requiredcategorystringAvailable options: COMPENSATION, TIME_OFF, EXPENSE, INVOICE, PAYSLIP, PERSONAL_INFO, EMPLOYMENT, ONBOARDING, DOCUMENT, COMPLIANCE, BENEFITS, DATA_CONTROL
limitintegerAllowed: 1 to 100
Default: 50
offsetintegerAllowed: at least 0
Default: 0
Response
200Successful response
eventsobject[]requiredShow child attributes
idstringrequiredeventTypestringrequiredcategorystringrequiredtitlestringrequireddescriptionstring | nullrequiredmetadataobjectrequiredoccurredAtstringrequiredactorNamestring | nullrequiredtotalnumberrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits